ptmr_t Struct Reference

Generic timer structures and functions for coarse-grained performance measurements using standard system calls. More...

`#include <profile.h>`

## Data Fields

const char * | name
| Timer print name; NULL terminates an array of timers. More...
float64 | t_cpu
| CPU time accumulated since most recent reset op.
float64 | t_elapsed
| Elapsed time accumulated since most recent reset.
float64 | t_tot_cpu
| Total CPU time since creation.
float64 | t_tot_elapsed
| Total elapsed time since creation.
float64 | start_cpu
| -— FOR INTERNAL USE ONLY -—
float64 | start_elapsed
| -— FOR INTERNAL USE ONLY -—

## Detailed Description

Generic timer structures and functions for coarse-grained performance measurements using standard system calls.

Definition at line 157 of file profile.h.

## Field Documentation

const char* ptmr_t::name

Timer print name; NULL terminates an array of timers.

Used by ptmr_print_all

Definition at line 158 of file profile.h.

Referenced by ptmr_print_all(), and ptmr_reset_all().

The documentation for this struct was generated from the following file:

- include/sphinxbase/profile.h